nelmio_api_doc:
    documentation:
        info:
            title: OgDHCP API
            description: OgDHCP API documentation
            version: 1.0.0
        components:
            schemas:
                Host:
                    type: object
                    properties:
                        hostname:
                            type: string
                            description: The hostname of the device
                            example: "pc11"
                        hw-address:
                            type: string
                            description: The hardware address (MAC)
                            example: "56:6f:c7:4f:00:4f"
                        ip-address:
                            type: string
                            description: The IP address assigned to the host
                            example: "192.168.5.11"
                Subnet:
                    type: object
                    properties:
                        id:
                            type: integer
                            description: The ID of the subnet
                        subnet:
                            type: string
                            description: The name of the subnet
                        next-server:
                            type: string
                            description: The next server in the subnet
                        boot-file-name:
                            type: string
                            description: The boot file name for the subnet
                        reservations:
                            type: array
                            items:
                                $ref: '#/components/schemas/Host'
                            description: The reservations in the subnet


    areas: # to filter documented areas
        path_patterns:
            - ^/ogdhcp/ # Accepts routes under /api except /api/doc
